###############################################################################
##	Filename:	CamFX.py
##	
##	A Preview of an upcoming Camera Mod Version 0.1
##	
##	Created:	03/11/2003 - NanoByte a.k.a Michael T. Braams
###############################################################################
import App

###############################################################################
## "F1" FlyBy Camera Setup
###############################################################################
def NanoFlyByCamera(pCamera):
	
	pMode = App.CameraMode_Create("DropAndWatch", pCamera)

	for pFunc, sAttr, kValue in (
		( pMode.SetAttrFloat,	"AwayDistance",			8.0 ),
		( pMode.SetAttrFloat,	"RotateSpeed",			0.0 ),
		( pMode.SetAttrFloat,	"AnticipationTime",		2.5 ),
		( pMode.SetAttrFloat,	"ForwardOffset",		8.0 ),
		( pMode.SetAttrFloat,	"SideOffset",			2.0 ),
		( pMode.SetAttrFloat,	"AwayDistanceFactor",		1.21 ),
		( pMode.SetAttrFloat,	"AxisAvoidAngles",		50.0 ),
		( pMode.SetAttrFloat,	"SlowSpeedThreshold",		0.1 ),
		( pMode.SetAttrFloat,	"SlowRotationThreshold",	0.1 ),
		( pMode.SetAttrFloat,	"RotateSpeedAccel",		0.005 ),
		( pMode.SetAttrFloat,	"MaxRotateSpeed",		0.05 ),
		):
		pFunc(sAttr, kValue)

	return pMode

###############################################################################
## ViewScreen Camera Setup
###############################################################################
def NanoViewScreenZoom(pCamera):
		
	pMode = App.CameraMode_Create("ZoomTarget", pCamera)

	for pFunc, sAttr, kValue in (
		( pMode.SetAttrFloat,	"SweepTime",			0.5 ),
		( pMode.SetAttrFloat,	"PositionThreshold",		0.01 ),
		( pMode.SetAttrFloat,	"DotThreshold",			0.98 ),
		( pMode.SetAttrFloat,	"MinimumDistance",		2.0 ),
		( pMode.SetAttrFloat,	"Distance",			16.0 ),
		( pMode.SetAttrFloat,	"MaximumDistance",		128.0 ),
		( pMode.SetAttrFloat,	"MaxLagDist",			1.0)
		):
		pFunc(sAttr, kValue)

	return pMode

###############################################################################
## End of Nano CameraFX
###############################################################################
