###############################################################################
##	Filename:	ExpSfx.py
##	
##	Explosion Sound Effects Module for Loading Sounds Dynamically
##	
##	Created:	03/09/2003 - NanoByte a.k.a Michael T. Braams
###############################################################################
import nt
import App
import Foundation

###############################################################################
## Get File Names from Folder 
###############################################################################
def GetFileNames(sFolderPath): 
      
     	sFileList = nt.listdir("scripts\\Custom\\NanoFX\\ExplosionFX\\Sfx\\" + sFolderPath) 
     	sFileList.sort() 
 
     	return sFileList

###############################################################################
## Get Sfx List for Game use
###############################################################################
def GetSfxList(sSoundSet): 
	
	sFileNames = GetFileNames(sSoundSet)
	sSfxList = []
	
	for fileIndex in range(len(sFileNames)):
		sSfxList.append(sSoundSet + str(fileIndex))
	
	return sSfxList
def GetSfxListNanoTwo(sSoundSet):

	sFileNames = Foundation.GetFileNames('scripts/Custom/NanoFXv2/ExplosionFX/Sfx/' + sSoundSet, 'wav')
	sSfxList = []

	for fileIndex in range(len(sFileNames)):
		sSfxList.append(sSoundSet + str(fileIndex))

	return sSfxList

###############################################################################
## Setup Sound Defs for Explosion Sounds
###############################################################################
def LoadNanoExpSfx():
	
	### Collision Explosion Sfx ###
	sFileNames = GetFileNames("ExpCollision")
	for loadIndex in range(len(sFileNames)):
		strFile = "scripts/Custom/NanoFX/ExplosionFX/Sfx/ExpCollision/" + sFileNames[loadIndex]
		Foundation.SoundDef(strFile, "ExpCollision" + str(loadIndex), 1.0)
	###
	### Small Explosion Sfx ###
	sIndex = "1"
	sFileNames = GetFileNames("ExpSmall")
	for loadIndex in range(len(sFileNames)):
		strFile = "scripts/Custom/NanoFX/ExplosionFX/Sfx/ExpSmall/" + sFileNames[loadIndex]
		Foundation.SoundDef(strFile, "ExpSmall" + str(loadIndex), 1.0)
	###
	### Large Explosion Sfx ###
	sIndex = "1"
	sFileNames = GetFileNames("ExpLarge")
	for loadIndex in range(len(sFileNames)):
		strFile = "scripts/Custom/NanoFX/ExplosionFX/Sfx/ExpLarge/" + sFileNames[loadIndex]
		Foundation.SoundDef(strFile, "ExpLarge" + str(loadIndex), 1.0)
	###
	### Nova Explosion Sfx ###
	sIndex = "1"
	sFileNames = GetFileNames("ExpNova")
	for loadIndex in range(len(sFileNames)):
		strFile = "scripts/Custom/NanoFX/ExplosionFX/Sfx/ExpNova/" + sFileNames[loadIndex]
		Foundation.SoundDef(strFile, "ExpNova" + str(loadIndex), 1.0)

###############################################################################
## Get a Random Sfx, try not to repeat last 3 sounds in Recent List

###############################################################################

def GetRandomSound(sSfxList):

	

	sSound = sSfxList[ App.g_kSystemWrapper.GetRandomNumber( len(sSfxList) ) ]



	return sSound
###############################################################################
## End of Exp Sfx
###############################################################################