###############################################################################
##	Filename:	NanoFX.py
##	
##	Nano's Special Effects Enhancements Version 1.0
##	
##	Created:	03/11/2003 - NanoByte a.k.a Michael T. Braams
###############################################################################
import App
import Foundation
import Custom.NanoFX.ExplosionFX.ExpSfx
import Custom.NanoFX.OtherFX.AtmosphereFX
###############################################################################
## Setup BridgeFX (Optimizations for BC Performance, Small Preview)
###############################################################################
def SetupBridgeFX(mode):
	
	### Override Stock Definitions ###
	Foundation.OverrideDef('NanoBridgeHit', 'Bridge.bridgeeffects.DoHullDamage', 'Custom.NanoFX.BridgeFX.BrdgFX.NanoBridgeHit', dict = { 'modes': [ mode ] } )
	###
	print "BridgeFX Enabled..."
	###
###############################################################################
## Setup CameraFX (Preview of Upcoming Camera Mod)
###############################################################################
def SetupCameraFX(mode):
	
	### Override Stock Definitions ###
	Foundation.OverrideDef('NanoFlyByCamera', 'CameraModes.DropAndWatch', 'Custom.NanoFX.CameraFX.CamFX.NanoFlyByCamera', dict = { 'modes': [ mode ] } )
	Foundation.OverrideDef('NanoViewScreenZoom', 'CameraModes.ViewscreenZoomTarget', 'Custom.NanoFX.CameraFX.CamFX.NanoViewScreenZoom', dict = { 'modes': [ mode ] } )
	###
	print "CameraFX Enabled..."
	###
###############################################################################
## Setup ExplosionFX
###############################################################################
def SetupExplosionFX(mode):

	### Load Explosion Gfx ###
	App.g_kIconManager.RegisterIconGroup("EffectTextures", "Custom.NanoFX.ExplosionFX.ExpGfx", "LoadNanoExpGfx")
	App.g_kIconManager.RegisterIconGroup("DamageTextures", "Custom.NanoFX.ExplosionFX.ExpGfx", "LoadNanoDamageGfx")
	###
	### Load Explosion Sfx ###
	Custom.NanoFX.ExplosionFX.ExpSfx.LoadNanoExpSfx()
	###
	### Override Stock Definitions ###
	Foundation.OverrideDef('NanoTorpedoShieldHit', 'Effects.TorpedoShieldHit', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoTorpedoShieldHit', dict = { 'modes': [ mode ] } )
	Foundation.OverrideDef('NanoTorpedoHullHit', 'Effects.TorpedoHullHit', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoTorpedoHullHit', dict = { 'modes': [ mode ] } )
	Foundation.OverrideDef('NanoPhaserHullHit', 'Effects.PhaserHullHit', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoPhaserHullHit', dict = { 'modes': [ mode ] } )
	Foundation.OverrideDef('NanoCollisionEffect', 'Effects.CollisionEffect', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoCollisionEffect', dict = { 'modes': [ mode ] } )
	#Foundation.OverrideDef('NanoDamageShip', 'Effects.DeathExplosionDamage', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoDamageShip', dict = { 'modes': [ mode ] } )
	Foundation.OverrideDef('NanoDeathSeq', 'Effects.ObjectExploding', 'Custom.NanoFX.ExplosionFX.ExpFX.NanoDeathSeq', dict = { 'modes': [ mode ] } )
	###
	### Override Definitions for GlowFX ###
	#Foundation.OverrideDef('CreateShipGlowFix', 'loadspacehelper.CreateShip', 'Custom.NanoFX.ExplosionFX.GlowFX.CreateShipGlowFix', dict = { 'modes': [ mode ] } )
	#Foundation.OverrideDef('RepairShipFullyGlowFix', 'Actions.ShipScriptActions.RepairShipFully', 'Custom.NanoFX.ExplosionFX.GlowFX.RepairShipFullyGlowFix', dict = { 'modes': [ mode ] } )
	###
	print "ExplosionFX Enabled..."
	####
def SetupPlanetAtmospheres(mode):
	Custom.NanoFX.OtherFX.AtmosphereFX.OverrideStockPlanets(mode)
###############################################################################
## End of Loading NanoFX
###############################################################################
